Index: src/Clients/Angular/finki-chattery/.vscode/launch.json
===================================================================
--- src/Clients/Angular/finki-chattery/.vscode/launch.json	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
+++ src/Clients/Angular/finki-chattery/.vscode/launch.json	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -0,0 +1,15 @@
+{
+    // Use IntelliSense to learn about possible attributes.
+    // Hover to view descriptions of existing attributes.
+    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
+    "version": "0.2.0",
+    "configurations": [
+        {
+            "type": "pwa-chrome",
+            "request": "launch",
+            "name": "Launch Chrome against localhost",
+            "url": "http://localhost:8080",
+            "webRoot": "${workspaceFolder}"
+        }
+    ]
+}
Index: src/Clients/Angular/finki-chattery/angular.json
===================================================================
--- src/Clients/Angular/finki-chattery/angular.json	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/Clients/Angular/finki-chattery/angular.json	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -98,6 +98,12 @@
             "tsConfig": "tsconfig.spec.json",
             "karmaConfig": "karma.conf.js",
-            "assets": ["src/favicon.ico", "src/assets"],
-            "styles": ["./node_modules/@angular/material/prebuilt-themes/indigo-pink.css", "src/styles.scss"],
+            "assets": [
+              "src/favicon.ico",
+              "src/assets"
+            ],
+            "styles": [
+              "./node_modules/@angular/material/prebuilt-themes/indigo-pink.css",
+              "src/styles.scss"
+            ],
             "scripts": []
           }
@@ -106,6 +112,12 @@
           "builder": "@angular-devkit/build-angular:tslint",
           "options": {
-            "tsConfig": ["tsconfig.app.json", "tsconfig.spec.json", "e2e/tsconfig.json"],
-            "exclude": ["**/node_modules/**"]
+            "tsConfig": [
+              "tsconfig.app.json",
+              "tsconfig.spec.json",
+              "e2e/tsconfig.json"
+            ],
+            "exclude": [
+              "**/node_modules/**"
+            ]
           }
         },
@@ -125,4 +137,7 @@
     }
   },
-  "defaultProject": "finki-chattery"
+  "defaultProject": "finki-chattery",
+  "cli": {
+    "analytics": false
+  }
 }
Index: src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/Clients/Angular/finki-chattery/src/app/app-routing.module.ts	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -1,3 +1,4 @@
 import { NgModule } from '@angular/core';
+import { CommonModule } from '@angular/common';
 import { Routes, RouterModule } from '@angular/router';
 import { AuthorizedGuard } from './core/guards/authorized.guard';
@@ -16,5 +17,8 @@
 
 @NgModule({
-  imports: [RouterModule.forRoot(routes)],
+  imports: [
+    CommonModule,
+    RouterModule.forRoot(routes)
+  ],
   exports: [RouterModule]
 })
Index: src/Clients/Angular/finki-chattery/src/app/app.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app.component.html	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/Clients/Angular/finki-chattery/src/app/app.component.html	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -1,3 +1,17 @@
-<main>
+
+  <mat-sidenav-container>
+    <mat-sidenav #sidenav role="navigation">
+      <!--this is a place for us to add side-nav code-->
+    </mat-sidenav>
+    <mat-sidenav-content>
+      <!--in here all the content must reside. We will add a navigation header as well-->
+      <app-header></app-header>
+      <main>
+        <router-outlet></router-outlet>
+      </main>
+    </mat-sidenav-content>
+  </mat-sidenav-container>
+
+
   <mat-progress-bar class="global-loader" [class.hidden]="!(loader.isLoading | async)" mode="indeterminate"></mat-progress-bar>
   <router-outlet></router-outlet>
Index: src/Clients/Angular/finki-chattery/src/app/app.module.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/app.module.ts	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/Clients/Angular/finki-chattery/src/app/app.module.ts	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -11,7 +11,8 @@
 import { translateConfiguration, TranslateFromJsonService } from './shared-app/services';
 import { SharedMaterialModule } from './shared-material/shared-material.module';
+import { HeaderComponent } from './navigation/header/header.component';
 
 @NgModule({
-  declarations: [AppComponent],
+  declarations: [AppComponent, HeaderComponent],
   imports: [
     BrowserModule,
Index: src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.html
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.html	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
+++ src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.html	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -0,0 +1,20 @@
+<mat-toolbar color="">
+    <div fxHide.gt-xs>
+        <!--<button mat-icon-button>
+            <mat-icon>menu</mat-icon>
+        </button>-->
+    </div>
+    <div>
+        <a routerLink="**">Logo</a>
+    </div>
+    <div fxFlex fxLayout fxLayoutAlign="end" fxHide.xs>
+        <ul fxLayout fxLayoutGap="15px" class="navigation-items">
+            <li>
+                <a routerLink="/owner">Add Question</a>
+            </li>
+            <li>
+                <a routerLink="/account">My profile</a>
+            </li>
+        </ul>
+    </div>
+  </mat-toolbar>
Index: src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.scss
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.scss	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
+++ src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.scss	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -0,0 +1,23 @@
+a {
+    text-decoration: none;
+    color: grey;
+    padding: 7px;
+}
+a:hover, a:active{
+    background: lightgray;
+    padding: 7px;
+    border-radius: 3px;
+}
+.navigation-items{
+    list-style-type: none;
+    padding: 0;
+    margin: 0;
+}
+mat-toolbar{
+    border-radius: 2px;
+}
+@media(max-width: 959px){
+    mat-toolbar{
+        border-radius: 0px;
+    }
+}
Index: src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.ts	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
+++ src/Clients/Angular/finki-chattery/src/app/navigation/header/header.component.ts	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -0,0 +1,15 @@
+import { Component, OnInit } from '@angular/core';
+
+@Component({
+  selector: 'app-header',
+  templateUrl: './header.component.html',
+  styleUrls: ['./header.component.scss']
+})
+export class HeaderComponent implements OnInit {
+
+  constructor() { }
+
+  ngOnInit(): void {
+  }
+
+}
Index: src/Clients/Angular/finki-chattery/src/styles.scss
===================================================================
--- src/Clients/Angular/finki-chattery/src/styles.scss	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/Clients/Angular/finki-chattery/src/styles.scss	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -1,8 +1,9 @@
 html,
 body {
+  margin: 0;
   height: 100%;
 }
+/*
 body {
-  margin: 0;
   font-family: Roboto, sans-serif;
 }
@@ -285,2 +286,3 @@
   z-index: 1100 !important;
 }
+*/
Index: src/FinkiChattery/FinkiChattery.Api/appsettings.Development.json
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/appsettings.Development.json	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/FinkiChattery/FinkiChattery.Api/appsettings.Development.json	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -31,6 +31,6 @@
   },
   "ConnectionStrings": {
-    "DefaultConnection": "data source=.;initial catalog=FinkiChattery;integrated security=True;application name=FinkiChattery Base App;Pooling=true;Min Pool Size=5;Max Pool Size=30;",
-    "HangfireConnection": "data source=.;initial catalog=FinkiChatteryHangfire;integrated security=True;application name=FinkiChattery Hangfire App;Pooling=true;Min Pool Size=5;Max Pool Size=30;"
+    "DefaultConnection": "Data Source=localhost;Initial Catalog=FinkiChattery;User ID=sa;Password=Asfa+032;Connect Timeout=60;Encrypt=False;TrustServerCertificate=True;ApplicationIntent=ReadWrite;MultiSubnetFailover=False;Pooling=true;Min Pool Size=5;Max Pool Size=30;",
+    "HangfireConnection": "Data Source=localhost;Initial Catalog=FinkiChatteryHangfire;User ID=sa;Password=Asfa+032;Connect Timeout=60;Encrypt=False;TrustServerCertificate=True;ApplicationIntent=ReadWrite;MultiSubnetFailover=False;Pooling=true;Min Pool Size=5;Max Pool Size=30;"
   }
 }
Index: src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -1,3 +1,3 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
   <PropertyGroup>
@@ -55,6 +55,6 @@
     <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
   </PropertyGroup>
-  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
-  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
   <ItemGroup>
     <Folder Include="Properties" />
Index: src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj_backup
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj_backup	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
+++ src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj_backup	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -0,0 +1,122 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <Name>FinkiChattery.Database</Name>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectVersion>4.1</ProjectVersion>
+    <ProjectGuid>{5e1219f5-fc7d-4138-811d-26934e946d30}</ProjectGuid>
+    <DSP>Microsoft.Data.Tools.Schema.Sql.Sql150DatabaseSchemaProvider</DSP>
+    <OutputType>Database</OutputType>
+    <RootPath>
+    </RootPath>
+    <RootNamespace>FinkiChattery.Database</RootNamespace>
+    <AssemblyName>FinkiChattery.Database</AssemblyName>
+    <ModelCollation>1033,CI</ModelCollation>
+    <DefaultFileStructure>BySchemaAndSchemaType</DefaultFileStructure>
+    <DeployToDatabase>True</DeployToDatabase>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetLanguage>CS</TargetLanguage>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <SqlServerVerification>False</SqlServerVerification>
+    <IncludeCompositeObjects>True</IncludeCompositeObjects>
+    <TargetDatabaseSet>True</TargetDatabaseSet>
+    <DefaultCollation>SQL_Latin1_General_CP1_CI_AS</DefaultCollation>
+    <DefaultFilegroup>PRIMARY</DefaultFilegroup>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <OutputPath>bin\Release\</OutputPath>
+    <BuildScriptName>$(MSBuildProjectName).sql</BuildScriptName>
+    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <DefineDebug>false</DefineDebug>
+    <DefineTrace>true</DefineTrace>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <OutputPath>bin\Debug\</OutputPath>
+    <BuildScriptName>$(MSBuildProjectName).sql</BuildScriptName>
+    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <DefineDebug>true</DefineDebug>
+    <DefineTrace>true</DefineTrace>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">11.0</VisualStudioVersion>
+    <!-- Default to the v11.0 targets path if the targets file for the current VS version is not found -->
+    <SSDTExists Condition="Exists('$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets')">True</SSDTExists>
+    <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
+  </PropertyGroup>
+  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <ItemGroup>
+    <Folder Include="Properties" />
+    <Folder Include="dbo\" />
+    <Folder Include="dbo\Tables\" />
+    <Folder Include="dbo\Scripts" />
+    <Folder Include="dbo\Scripts\PreDeploymentScripts" />
+    <Folder Include="dbo\Scripts\PostDeploymentScripts" />
+    <Folder Include="dbo\Tables\User" />
+    <Folder Include="dbo\Tables\User\Seed" />
+    <Folder Include="dbo\Tables\Category" />
+    <Folder Include="dbo\Tables\Team" />
+    <Folder Include="dbo\Tables\Student" />
+    <Folder Include="FullTextSearch" />
+  </ItemGroup>
+  <ItemGroup>
+    <Build Include="dbo\Tables\Moderator.sql" />
+    <Build Include="dbo\Tables\Teacher.sql" />
+    <Build Include="dbo\Tables\Question.sql" />
+    <Build Include="dbo\Tables\StudentTeam.sql" />
+    <Build Include="dbo\Tables\TeacherTeam.sql" />
+    <Build Include="dbo\Tables\Answer.sql" />
+    <Build Include="dbo\Tables\QuestionCategory.sql" />
+    <Build Include="dbo\Tables\AnswerResponse.sql" />
+    <Build Include="dbo\Tables\Upvote.sql" />
+    <Build Include="dbo\Tables\User\AspNetRoleClaims.sql" />
+    <Build Include="dbo\Tables\User\AspNetRoles.sql" />
+    <None Include="dbo\Tables\User\Seed\Users.Debug.Seed.sql" />
+    <Build Include="dbo\Tables\Category\Category.sql" />
+    <None Include="dbo\Tables\Category\Category.Seed.sql" />
+    <Build Include="dbo\Tables\Team\Team.sql" />
+    <Build Include="dbo\Tables\Student\Student.sql" />
+    <None Include="dbo\Tables\Student\Student.Debug.Seed.sql" />
+    <Build Include="FullTextSearch\FullTextIndexQuestion.sql" />
+    <Build Include="FullTextSearch\QuestionFullTextCatalog.sql" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="dbo\Scripts\PreDeploymentScripts\Debug.PreDeployment.sql" />
+    <None Include="dbo\Scripts\PreDeploymentScripts\Production.PreDeployment.sql" />
+    <PreDeploy Include="dbo\Scripts\Script.PreDeployment.sql" />
+    <None Include="FinkiChattery.Database.publish.xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <PostDeploy Include="dbo\Scripts\Script.PostDeployment.sql" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="dbo\Scripts\PostDeploymentScripts\Debug.PostDeployment.sql" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="dbo\Scripts\PostDeploymentScripts\Production.PostDeployment.sql" />
+  </ItemGroup>
+  <ItemGroup>
+    <Build Include="dbo\Tables\User\AspNetUserClaims.sql" />
+    <Build Include="dbo\Tables\User\AspNetUserLogins.sql" />
+    <Build Include="dbo\Tables\User\AspNetUserRoles.sql" />
+    <Build Include="dbo\Tables\User\AspNetUsers.sql" />
+    <Build Include="dbo\Tables\User\AspNetUserTokens.sql" />
+  </ItemGroup>
+  <ItemGroup>
+    <SqlCmdVariable Include="BuildConfiguration">
+      <DefaultValue>Debug</DefaultValue>
+      <Value>$(SqlCmdVar__1)</Value>
+    </SqlCmdVariable>
+  </ItemGroup>
+</Project>
Index: src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -1,3 +1,3 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
   <PropertyGroup>
@@ -55,6 +55,6 @@
     <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
   </PropertyGroup>
-  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
-  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
   <ItemGroup>
     <Folder Include="Properties" />
@@ -80,3 +80,10 @@
     <None Include="FinkiChattery.HangfireDatabase.publish.xml" />
   </ItemGroup>
+  <Import Condition="'$(NetCoreBuild)' == 'true'" Project="$(NETCoreTargetsPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <ItemGroup>
+    <PackageReference Condition="'$(NetCoreBuild)' == 'true'" Include="Microsoft.NETFramework.ReferenceAssemblies" Version="1.0.0" PrivateAssets="All" />
+  </ItemGroup>
+  <Target Name="BeforeBuild">
+    <Delete Files="$(BaseIntermediateOutputPath)\project.assets.json" />
+  </Target>
 </Project>
Index: src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj_backup
===================================================================
--- src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj_backup	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
+++ src/FinkiChattery/FinkiChattery.HangfireDatabase/FinkiChattery.HangfireDatabase.sqlproj_backup	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -0,0 +1,82 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <Name>FinkiChattery.HangfireDatabase</Name>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectVersion>4.1</ProjectVersion>
+    <ProjectGuid>{c4cb8596-3f3a-4b4e-bec5-0720ff7cd532}</ProjectGuid>
+    <DSP>Microsoft.Data.Tools.Schema.Sql.Sql150DatabaseSchemaProvider</DSP>
+    <OutputType>Database</OutputType>
+    <RootPath>
+    </RootPath>
+    <RootNamespace>FinkiChattery.HangfireDatabase</RootNamespace>
+    <AssemblyName>FinkiChattery.HangfireDatabase</AssemblyName>
+    <ModelCollation>1033,CI</ModelCollation>
+    <DefaultFileStructure>BySchemaAndSchemaType</DefaultFileStructure>
+    <DeployToDatabase>True</DeployToDatabase>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetLanguage>CS</TargetLanguage>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <SqlServerVerification>False</SqlServerVerification>
+    <IncludeCompositeObjects>True</IncludeCompositeObjects>
+    <TargetDatabaseSet>True</TargetDatabaseSet>
+    <DefaultCollation>SQL_Latin1_General_CP1_CI_AS</DefaultCollation>
+    <DefaultFilegroup>PRIMARY</DefaultFilegroup>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <OutputPath>bin\Release\</OutputPath>
+    <BuildScriptName>$(MSBuildProjectName).sql</BuildScriptName>
+    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <DefineDebug>false</DefineDebug>
+    <DefineTrace>true</DefineTrace>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <OutputPath>bin\Debug\</OutputPath>
+    <BuildScriptName>$(MSBuildProjectName).sql</BuildScriptName>
+    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <DefineDebug>true</DefineDebug>
+    <DefineTrace>true</DefineTrace>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">11.0</VisualStudioVersion>
+    <!-- Default to the v11.0 targets path if the targets file for the current VS version is not found -->
+    <SSDTExists Condition="Exists('$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets')">True</SSDTExists>
+    <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
+  </PropertyGroup>
+  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <ItemGroup>
+    <Folder Include="Properties" />
+    <Folder Include="HangFire\" />
+    <Folder Include="HangFire\Tables\" />
+    <Folder Include="Security\" />
+  </ItemGroup>
+  <ItemGroup>
+    <Build Include="HangFire\Tables\Schema.sql" />
+    <Build Include="HangFire\Tables\Job.sql" />
+    <Build Include="HangFire\Tables\State.sql" />
+    <Build Include="HangFire\Tables\JobParameter.sql" />
+    <Build Include="HangFire\Tables\JobQueue.sql" />
+    <Build Include="HangFire\Tables\Server.sql" />
+    <Build Include="HangFire\Tables\List.sql" />
+    <Build Include="HangFire\Tables\Set.sql" />
+    <Build Include="HangFire\Tables\Counter.sql" />
+    <Build Include="HangFire\Tables\Hash.sql" />
+    <Build Include="HangFire\Tables\AggregatedCounter.sql" />
+    <Build Include="Security\HangFire.sql" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="FinkiChattery.HangfireDatabase.publish.xml" />
+  </ItemGroup>
+</Project>
Index: src/FinkiChattery/FinkiChattery.Identity/Properties/launchSettings.json
===================================================================
--- src/FinkiChattery/FinkiChattery.Identity/Properties/launchSettings.json	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/FinkiChattery/FinkiChattery.Identity/Properties/launchSettings.json	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -9,4 +9,12 @@
   },
   "profiles": {
+    "FinkiChattery.Identity": {
+      "commandName": "Project",
+      "launchBrowser": true,
+      "applicationUrl": "https://localhost:44301",
+      "environmentVariables": {
+        "ASPNETCORE_ENVIRONMENT": "Development"
+      }
+    },
     "SelfHost": {
       "commandName": "IISExpress",
Index: src/FinkiChattery/FinkiChattery.Identity/appsettings.Development.json
===================================================================
--- src/FinkiChattery/FinkiChattery.Identity/appsettings.Development.json	(revision 1e33fadaa8e05773cb2667d9ca1e0c992fff0736)
+++ src/FinkiChattery/FinkiChattery.Identity/appsettings.Development.json	(revision 9e954985ec2d7311fd08f6fff1b3126dbfe0e9eb)
@@ -17,5 +17,5 @@
 	},
 	"ConnectionStrings": {
-		"DefaultConnection": "data source=.;initial catalog=FinkiChattery;integrated security=True;application name=FinkiChattery Base App;Pooling=true;Min Pool Size=5;Max Pool Size=30;"
+		"DefaultConnection": "Data Source=localhost;Initial Catalog=FinkiChattery;User ID=sa;Password=Asfa+032;Connect Timeout=60;Encrypt=False;TrustServerCertificate=True;ApplicationIntent=ReadWrite;MultiSubnetFailover=False;Pooling=true;Min Pool Size=5;Max Pool Size=30;"
 	}
 }
